# SaplingParameterDownloader

    public enum SaplingParameterDownloader

Helper class to handle the download of Sapling parameters

- `Errors`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum Errors : Error

- `downloadSpendParameter(_:result:)`

  Download a Spend parameter from default host and stores it at given URL

  #### Declaration

  Swift

      public static func downloadSpendParameter(_ at: URL, result: @escaping (Result<URL, Error>) -> Void)

  #### Parameters

  `at` | The destination URL for the download
  `result` | block to handle the download success or error

- `downloadOutputParameter(_:result:)`

  Download an Output parameter from default host and stores it at given URL

  #### Declaration

  Swift

      public static func downloadOutputParameter(_ at: URL, result: @escaping (Result<URL, Error>) -> Void)

  #### Parameters

  `at` | The destination URL for the download
  `result` | block to handle the download success or error

- `downloadParamsIfnotPresent(spendURL:outputURL:result:)`

  Downloads the parameters if not present and provides the resulting URLs for both parameters

  #### Declaration

  Swift

      public static func downloadParamsIfnotPresent(
          spendURL: URL,
          outputURL: URL,
          result: @escaping (Result<(spend: URL, output: URL), Error>) -> Void
      )

  #### Parameters

  `spendURL` | URL to check whether the parameter is already downloaded
  `outputURL` | URL to check whether the parameter is already downloaded
  `result` | block to handle success or error

- `spendParamsURLString`

  Undocumented

  #### Declaration

  Swift

      public static var spendParamsURLString: String { get }

- `outputParamsURLString`

  Undocumented

  #### Declaration

  Swift

      public static var outputParamsURLString: String { get }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.